Google Web Toolkit (Beta)
Search this site:

# Class FormSubmitEvent

public class FormSubmitEvent
extends EventObject
Event object containing information about form submission events.

## Constructors

FormSubmitEvent(Object) | Creates a new event with information about the source.

## Methods

isCancelled() | Gets whether this form submit will be cancelled.
setCancelled(boolean) | Sets whether the form submit will be cancelled.

## Constructor Detail

### FormSubmitEvent

public FormSubmitEvent(Object source)
Creates a new event with information about the source.

#### Parameters

source
  the object sending the event

## Method Detail

### isCancelled

public boolean isCancelled()
Gets whether this form submit will be cancelled.

#### Return Value

`true` if the form submit will be cancelled

### setCancelled

public void setCancelled(boolean cancel)
Sets whether the form submit will be cancelled.

#### Parameters

cancel
  `true` to cancel the submit